﻿#MobileRechargePage {
    background-image: url(../images/my-map.svg);
    background-repeat: no-repeat;
    background-position: center top;
    background-size: max(var(--MaxContentWidth), 80em) auto;
    background-attachment: fixed;
}

    #MobileRechargePage > .InnerContent,
    #MobileRechargePage .PageTitleWrapper {
        max-width: 120em;
        margin-inline: auto;
        box-sizing: border-box;
        display: grid;
        grid-template-columns: 1fr clamp(30em, 33%, 30em);
        gap: 2em;
        align-items: start;
        padding: 3em 2em;
    }

    #MobileRechargePage .PageTitleWrapper {
        padding-bottom: 0 !important;
    }

        #MobileRechargePage .PageTitleWrapper h1 {
            font-size: 3em;
            font-weight: 900;
            text-transform: uppercase;
        }

        #MobileRechargePage .PageTitleWrapper .SubTitle {
            font-size: 1.2em;
        }

    #MobileRechargePage .InnerContent .MobileRechargeSection,
    #MobileRechargePage .MobileRechargeContentWrapper .Content > div {
        background-color: #ffffff1a;
        border-radius: 1.5em;
        padding: 1.7em;
        border-bottom: 2px solid var(--theme-color-light);
    }

    #MobileRechargePage .SectionTitle {
        display: flex;
        gap: .8em;
        align-items: center;
    }

        #MobileRechargePage .SectionTitle::before {
            content: attr(section-puchase-steps);
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: var(--theme-color);
            color: #fff;
            font-size: 1em;
            font-weight: 800;
            width: 2.5em;
            height: 2.5em;
            border-radius: .8em;
        }

        #MobileRechargePage .SectionTitle h5 {
            font-weight: 800;
            font-size: 1.1em;
            text-transform: uppercase;
        }

    #MobileRechargePage .MobileRechargeWrapper,
    #MobileRechargePage .ActionWrapper {
        display: grid;
        gap: 2em;
    }

    #MobileRechargePage .MobileRechargeSection,
    #MobileRechargePage .InnerContent .MobileRechargeSection #ProductVariantWrapper {
        display: flex;
        flex-direction: column;
        gap: 1.5em;
    }

        #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(20em, 1fr));
            gap: 1em;
            align-items: start;
        }

            #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList .MobileRechargeOperatorItem {
                display: grid;
                grid: "OperatorIcon OperatorInfo"/auto 1fr;
                gap: 1em;
                padding: 1em;
                border-radius: 1em;
                align-items: center;
                cursor: pointer;
                background-color: rgb(67 71 102);
            }

                #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList .MobileRechargeOperatorItem .Icon {
                    width: 3.5em;
                    height: 3.5em;
                    overflow: hidden;
                    border-radius: 25%;
                    position: relative;
                    background-color: #fff !important;
                    background: rgba(255 255 255 / 5%);
                    box-shadow: rgba(255 255 255 / 5%) 0 0 0 1px;
                }

                    #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList .MobileRechargeOperatorItem .Icon img {
                        width: 100%;
                        height: 100%;
                        padding: 15%;
                    }

                #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList .MobileRechargeOperatorItem .OperatorName,
                #MobileRechargePage .MobileRechargeSection .ProductVariantList .VariantItemOption .VariantName {
                    font-size: 1em;
                    font-weight: 700;
                    flex-wrap: wrap;
                }

                #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList .MobileRechargeOperatorItem[is-selected="true" i],
                #MobileRechargePage .MobileRechargeSection .ProductVariantList .VariantItemOption[is-selected="true" i] {
                    border: 2px solid var(--theme-color-light);
                }


        #MobileRechargePage .MobileRechargeSection .ProductVariantList {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(20em, 1fr));
            gap: 1em;
            align-items: start;
        }

            #MobileRechargePage .MobileRechargeSection .ProductVariantList .VariantItemOption {
                display: grid;
                grid: "VariantName VariantPrice" 1fr / 1fr auto;
                gap: 1em;
                padding: 1.3em;
                border-radius: 1em;
                align-items: center;
                cursor: pointer;
                background-color: rgb(67 71 102);
                height: 100%;
            }

                #MobileRechargePage .MobileRechargeSection .ProductVariantList .VariantItemOption .VariantPrice {
                    font-size: 1em;
                    text-align: right;
                }

                    #MobileRechargePage .MobileRechargeSection .ProductVariantList .VariantItemOption .VariantPrice .SellingPrice {
                        font-weight: 800;
                        color: var(--theme-color-light);
                        white-space: nowrap;
                    }

                    #MobileRechargePage .MobileRechargeSection .ProductVariantList .VariantItemOption .VariantPrice .OriginalPrice {
                        opacity: .5;
                        text-decoration: line-through;
                        white-space: nowrap;
                    }


    #MobileRechargePage .ActionWrapper .DirectTopUpField {
        display: flex;
        align-items: center;
        background: rgb(67 71 102);
        border-radius: .7em;
        padding-inline-end: 0.7em;
    }

        #MobileRechargePage .ActionWrapper .DirectTopUpField > span {
            flex: none;
            padding-inline: 1em;
            font-weight: 600;
            color: rgba(255, 255, 255, 0.5);
        }

        #MobileRechargePage .ActionWrapper .DirectTopUpField > span,
        #MobileRechargePage .ActionWrapper .DirectTopUpField > input {
            font-size: 1em;
            line-height: 1.5;
            display: flex;
            align-items: center;
            padding-inline-start: 1em;
            text-align: start;
        }

        #MobileRechargePage .ActionWrapper .DirectTopUpField > input {
            all: unset;
            display: flex;
            align-items: center;
            background-color: transparent;
            padding: 0 1em;
            width: 100%;
            height: 3.5em;
            color: rgba(255 255 255 / .85);
            outline: 0;
            box-sizing: border-box;
            -webkit-appearance: textfield;
            -moz-appearance: textfield;
            appearance: textfield;
        }

        #MobileRechargePage .ActionWrapper .DirectTopUpField:has(> input:focus) {
            border: 1px solid var( --theme-color-light);
        }

        #MobileRechargePage .ActionWrapper .DirectTopUpField input::-webkit-outer-spin-button,
        #MobileRechargePage .ActionWrapper .DirectTopUpField input::-webkit-inner-spin-button {
            -webkit-appearance: none;
            margin: 0;
        }

    #MobileRechargePage .ActionWrapper #OrderPurchaseSummary #SummaryDetail {
        display: grid;
        grid-template-columns: 1fr auto;
        gap: .5em;
        align-items: center;
        background-color: rgb(67 71 102);
        padding: 1em;
        border-radius: .8em;
    }

        #MobileRechargePage .ActionWrapper #OrderPurchaseSummary #SummaryDetail .T {
            color: #ffffff80;
        }

        #MobileRechargePage .ActionWrapper #OrderPurchaseSummary #SummaryDetail .C {
            text-align: right;
            font-weight: 700;
        }

        #MobileRechargePage .ActionWrapper #OrderPurchaseSummary #SummaryDetail #TotalPriceDisplay {
            font-size: 1.3em;
            color: var(--theme-color);
            font-weight: 800;
        }

    #MobileRechargePage .ActionWrapper #OrderPurchaseSummary #RecipientDisplay {
        padding-inline-start: .3em;
    }

    #MobileRechargePage .ActionWrapper #PurchaseActionSection {
        display: grid;
        grid-template-columns: max(6em, 15%) 1fr;
        gap: 0.9em;
    }

        #MobileRechargePage .ActionWrapper#PurchaseActionSection button {
            border-radius: 0.5rem;
            font-size: 1.4em;
            font-weight: 800;
        }

        #MobileRechargePage .ActionWrapper #PurchaseActionSection #AddToCartBtn {
            background-color: #ffffff1a;
            color: #fff;
            font-size: 1.5em;
        }

        #MobileRechargePage .ActionWrapper #PurchaseActionSection #BuyNowBtn {
            background-color: var(--theme-color-light);
            color: #fff;
            text-transform: uppercase;
            font-size: 1.4em;
            padding: 0.6em 0;
        }

    #MobileRechargePage .MobileRechargeContentWrapper .Content {
        display: flex;
        flex-direction: column;
        gap: 1.5em;
    }

        #MobileRechargePage .MobileRechargeContentWrapper .Content > div {
            padding: 2.5em;
        }

            #MobileRechargePage .MobileRechargeContentWrapper .Content > div > .ContentTitle {
                display: flex;
                gap: 0.5em;
                text-transform: uppercase;
                font-weight: 700;
                font-size: 1.2em;
                margin-bottom: 2.5em;
            }

                #MobileRechargePage .MobileRechargeContentWrapper .Content > div > .ContentTitle:before {
                    content: '';
                    display: block;
                    width: 4px;
                    height: auto;
                    background-color: var(--theme-color-light);
                }

            #MobileRechargePage .MobileRechargeContentWrapper .Content > div > article {
                max-width: 70em;
            }

        #MobileRechargePage .MobileRechargeContentWrapper .Content #ProductGuidance {
            scroll-margin-block-start: calc(var(--header-height) + 1em);
        }

.exit-overlay {
    position: absolute;
}

#MobileRechargePage .MobileRechargeContentWrapper .Content > div[data-display="false"] {
    display: none;
}

.LoadingContent {
    display: flex;
    gap: 1em;
    align-items: center;
}

@media only screen and (max-width: 1000px) {
    : root {
        --MaxContentWidth: 100%;
        --spacing: 1.5em;
    }

    #MobileRechargePage > .InnerContent,
    #MobileRechargePage .PageTitleWrapper {
        padding-inline: 1.5em;
    }
}

@media only screen and (min-width: 801px) {

    #MobileRechargePage .ActionWrapper {
        position: sticky;
        top: calc(var(--header-height) + 2em);
        grid-column: 2;
        grid-row: 1 / 3;
    }
}

@media only screen and (max-width: 800px) {

    body.product-overlay-content-activated {
        overflow: hidden;
    }

    #MobileRechargePage > .InnerContent,
    #MobileRechargePage .PageTitleWrapper {
        grid-template-columns: 1fr;
        max-width: min(40em, 100%);
        margin-inline: auto;
        padding-inline: unset;
    }

    #MobileRechargePage .PageTitleWrapper {
        text-align: center;
    }

        #MobileRechargePage .PageTitleWrapper h1 {
            font-size: 2.7em;
        }

        #MobileRechargePage .PageTitleWrapper .SubTitle {
            font-size: 1.1em;
        }

    #MobileRechargePage .MobileRechargeSection .MobileRechargeOperatorList .MobileRechargeOperatorItem {
        padding: .8em;
    }

    #MobileRechargePage .MobileRechargeSection:not([data-display="show" i]) .ProductVariantList .VariantItemOption[is-selected="true" i] {
        border: 0;
        grid-template-columns: auto 1fr auto;
        padding: 1em;
    }

    #MobileRechargePage .MobileRechargeSection:not([data-display="show" i]) .ProductVariantList .VariantItemOption[is-selected="false"] {
        display: none;
    }

    #MobileRechargePage .MobileRechargeSection:not([data-display="show" i]) .ProductVariantList .VariantItemOption[is-selected="true" i]::after {
        content: "\f054";
        font-family: "Font Awesome 6 Free";
        display: flex;
        font-size: 0.8em;
        width: 2.5em;
        height: 2.5em;
        font-weight: 700;
        line-height: 1;
        color: currentColor;
        background: rgb(25 31 62);
        border-radius: 50%;
        justify-content: center;
        align-items: center;
    }

    #MobileRechargePage .MobileRechargeSection[data-display="show" i] {
        position: fixed;
        inset: 0;
        z-index: 2000000100;
        display: flex;
        align-items: end;
        opacity: 1;
        visibility: visible;
        transition: .3s;
        background: rgb(0 0 0 / .53);
        backdrop-filter: blur(.5em);
        -webkit-backdrop-filter: blur(.5em);
        padding: 0;
        border-bottom: 0;
        gap: 0;
        flex-direction: unset;
    }

        #MobileRechargePage .MobileRechargeSection[data-display="show" i] > .exit-overlay {
            position: absolute;
            inset: 0;
            z-index: -1;
        }

        #MobileRechargePage .MobileRechargeSection[data-display="show" i] #ProductVariantWrapper {
            width: 100%;
            max-width: 40em;
            min-height: calc(calc(100vh - var(--header-height)) * .572);
            max-height: calc(100vh - var(--header-height) - 5em);
            margin: 0 auto;
            background: rgb(19, 25, 56);
            border-radius: 1.6em 1.6em 0 0;
            display: flex;
            flex-direction: column;
            overflow: hidden;
            gap: 0;
        }

            #MobileRechargePage .MobileRechargeSection[data-display="show" i] #ProductVariantWrapper .SectionTitle {
                display: grid;
                grid-template-columns: auto 1fr;
                padding: 1.5em;
                justify-content: center;
                align-items: center;
                gap: 0 1em;
            }

        #MobileRechargePage .MobileRechargeSection[data-display="show" i] .SectionContent {
            flex: auto;
            overflow: hidden;
            overflow-y: auto;
            padding: 1.5em;
            background: #9377ff26;
            border-radius: 2em 2em 0 0;
            scrollbar-width: none;
            -ms-overflow-style: none;
            grid-auto-rows: min-content;
        }

            #MobileRechargePage .MobileRechargeSection[data-display="show" i] .SectionContent .ProductVariantList .VariantItemOption {
                padding: 1em;
                border-radius: .8em;
            }

    #MobileRechargePage .MobileRechargeContentWrapper .Content > div {
        padding-inline: 2em;
    }
}

@media only screen and (max-width: 480px) {

    #MobileRechargePage .PageTitleWrapper h1 {
        font-size: 2.3em;
    }

    #MobileRechargePage .PageTitleWrapper .SubTitle {
        font-size: 1em;
    }
}
